Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.testing
Interface TestResult

    public interface TestResult

Describes a test result.

Nested Class Summary
`static class` | `TestResult.ResultType`

Method Summary
`long` | `getEndTime()` Returns the time when this test completed execution.
`Throwable` | `getException()` If the test failed with an exception, this will be the exception.
`long` | `getFailedTestCount()` Returns the number of failed atomic tests executed for this test.
`TestResult.ResultType` | `getResultType()`
`long` | `getSkippedTestCount()` Returns the number of skipped atomic tests executed for this test.
`long` | `getStartTime()` Returns the time when this test started execution.
`long` | `getSuccessfulTestCount()` Returns the number of successful atomic tests executed for this test.
`long` | `getTestCount()` Returns the total number of atomic tests executed for this test.

Method Detail

### getResultType

    TestResult.ResultType getResultType()

  Returns:
    The type of result. Generally one wants it to be SUCCESS!

### getException

    Throwable getException()

  If the test failed with an exception, this will be the exception. Some test frameworks do not fail without an exception (JUnit), so in those cases this method will never return null. If the resultType is not FAILURE an IllegalStateException is thrown.

  Returns:
    The exception, if any, logged for this test. If none, a null is returned.
  Throws:
    `IllegalStateException` - If the result type is anything other than FAILURE.

### getStartTime

    long getStartTime()

  Returns the time when this test started execution.

  Returns:
    The start time, in milliseconds since the epoch.

### getEndTime

    long getEndTime()

  Returns the time when this test completed execution.

  Returns:
    The end t ime, in milliseconds since the epoch.

### getTestCount

    long getTestCount()

  Returns the total number of atomic tests executed for this test. This will return 1 if this test is itself an atomic test.

  Returns:
    The number of tests, possibly 0

### getSuccessfulTestCount

    long getSuccessfulTestCount()

  Returns the number of successful atomic tests executed for this test.

  Returns:
    The number of tests, possibly 0

### getFailedTestCount

    long getFailedTestCount()

  Returns the number of failed atomic tests executed for this test.

  Returns:
    The number of tests, possibly 0

### getSkippedTestCount

    long getSkippedTestCount()

  Returns the number of skipped atomic tests executed for this test.

  Returns:
    The number of tests, possibly 0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD